pfSense Packages - Todo #13857

Update bundled installer in OpenVPN Export Utility
01/10/2023 12:55 PM - Marcos M

Status: Resolved Start date:

Priority: Normal Due date:

Assignee: Jim Pingle % Done: 100%
Category: OpenVPN Client Export Estimated time: 0.00 hour

Target version:

Plus Target Version:

Description

The current installer version shows as 2.5.2-1x01. Latest version as of now is OpenVPN-2.5.8-1604-amd64.ms:i:
https://openvpn.net/community-downloads/

History

#1 - 01/10/2023 12:55 PM - Marcos M

- Description updated

#2 - 01/16/2023 01:50 PM - Jim Pingle
- Status changed from New to In Progress

- Assignee set to Jim Pingle

I've got the files and patch ready for this, testing it now.

#3 - 01/16/2023 02:23 PM - Jim Pingle
- Status changed from In Progress to Feedback

- % Done changed from 0 to 100

Updates are merged into all the relevant branches and will appear once a build succeeds.

#4 - 01/21/2023 06:44 PM - Kris Phillips

Checked on 22.05 and it appears these were merged properly. However, looking at the repos for 23.01, which is on a newer release of 1.7_3 of the
OpenVPN Client Export, it appears that this was not merged there. Will these be included at some point in that branch of the package as well?

#5 - 01/21/2023 07:29 PM - Jim Pingle

- Status changed from Feedback to Resolved

They are there on internal 23.01 RC snaps.

: pkg info -x pfSense-base
pfSense-base-23.01.r.20230120.0600

: pkg search openvpn-client-export
openvpn-client-export-2.5.8 OpenVPN Client Export

pfSense-pkg-openvpn-client-export-1.8 pfSense package openvpn-client-export

They won't show up for the public snapshots until we release the RC.

06/15/2025 1/1



https://openvpn.net/community-downloads/
http://www.tcpdf.org

